%define name emacs-cs-utils
%define version 4.2
%define release 4

Summary: Emacs Czech Utils
Name: %{name}
Version: %{version}
Release: %{release}
Copyright: GPL
Packager: Pavel Janik ml. <Pavel.Janik@linux.cz>
Vendor: Czech Linux Users' Group
Distribution: Red Hat Linux 5.2 Czech
Group: Applications/Editors/Emacs
Source0: %{name}-%{version}.tar.gz
Source1: %{name}-init.el
Patch0: %{name}-%{version}-tildify.patch
Patch1: %{name}-%{version}-czech-digraphs.patch
Requires: emacs >= 20.3
BuildArchitectures: noarch
Buildroot: /var/tmp/%{name}-%{version}-root

%description
Emacs Czech Utils is a package to make czech user's living with GNU Emacs
easier. It provides czech calendar, ISO-8859-2 compatible printing to
PostScript, tildify (Elisp equivalent of vlnka) etc.

%prep

%setup -q

%patch0 -p1

%patch1 -p1

%build
mv doc/emacs-czech.html .
mv doc/images .

%install
rm -rf $RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT/usr/share/emacs/site-lisp

for file in hacks/cz-print.el hacks/czech-message.el hacks/czech-calendar.el hacks/slovak-calendar.el util/*.el
do
   emacs --batch -q --no-site-file --no-init-file -f batch-byte-compile $file
done

install -m 0644 hacks/*.elc hacks/*.el util/*.elc util/*.el $RPM_BUILD_ROOT/usr/share/emacs/site-lisp
install -m 0644 $RPM_SOURCE_DIR/%{name}-init.el $RPM_BUILD_ROOT/usr/share/emacs/site-lisp

%clean
rm -rf $RPM_BUILD_ROOT

%files
%doc README emacs-czech.html images
/usr/share/emacs/site-lisp/*

%changelog
* Sun Feb 7 1999 Pavel Jank ml. <Pavel.Janik@inet.cz>
- selection in X set to ISO-8859-2 (why it isn't in documentation)

* Thu Feb 4 1999 Pavel Jank ml. <Pavel.Janik@inet.cz>
- tildifying in plain-tex-mode fixed
- e with hat is not present in czech-digraphs
